Package frc.robot.subsystems.swervedrive.swerve

## Enum SwerveModule.SwerveModuleLocation

- java.lang.Object
- - java.lang.Enum<SwerveModule.SwerveModuleLocation>
  - - frc.robot.subsystems.swervedrive.swerve.SwerveModule.SwerveModuleLocation

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SwerveModule.SwerveModuleLocation>`

Enclosing class:
  SwerveModule<DriveMotorType extends edu.wpi.first.wpilibj.motorcontrol.MotorController,​AngleMotorType extends edu.wpi.first.wpilibj.motorcontrol.MotorController,​AbsoluteEncoderType>

    public static enum SwerveModule.SwerveModuleLocation
    extends java.lang.Enum<SwerveModule.SwerveModuleLocation>

Swerve Module location on the robot.

### Enum Constant Summary

Enum Constants
`BackLeft`
`BackRight`
`FrontLeft`
`FrontRight`

### Constructor Summary

Constructors
`private` `SwerveModuleLocation()`

### Method Summary

All Methods Static Methods Concrete Methods
`static SwerveModule.SwerveModuleLocation` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SwerveModule.SwerveModuleLocation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FrontLeft

    public static final SwerveModule.SwerveModuleLocation FrontLeft

#### BackLeft

    public static final SwerveModule.SwerveModuleLocation BackLeft

#### FrontRight

    public static final SwerveModule.SwerveModuleLocation FrontRight

#### BackRight

    public static final SwerveModule.SwerveModuleLocation BackRight

### Constructor Detail

#### SwerveModuleLocation

    private SwerveModuleLocation()

### Method Detail

#### values

    public static SwerveModule.SwerveModuleLocation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SwerveModule.SwerveModuleLocation c : SwerveModule.SwerveModuleLocation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SwerveModule.SwerveModuleLocation valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null